package cn.com.qmth.examcloud.support;

/**
 * 缓存相关常量
 * 注：cache key 命名规则
 * $模块:关键字:参数1_参数2  示例：$OE:XXX:123_abc
 */
public interface CacheConstants {

    /* #################### 考务模块 #################### */

    /**
     * 缓存 - 考试设置信息：{examId}
     */
    String CACHE_E_EXAM = "$E:EXAM:";



    /* #################### 题库模块 #################### */

    /**
     * 缓存 - 调卷规则：{examId}_{courseCode}
     */
    String CACHE_Q_EXTRACT_CONFIG = "$Q:EXTRACT_CONFIG:";

    /**
     * 缓存 - 试卷结构：{paperStructId}
     */
    String CACHE_Q_PAPER_STRUCT = "$Q:PAPER_STRUCT:";

    /**
     * 缓存 - 随机抽卷模板：{randomPaperId}
     */
    String CACHE_Q_RANDOM_PAPER = "$Q:RANDOM_PAPER:";


    /* #################### 网考模块 #################### */

    /**
     * 缓存 - 网考考试会话：{studentId}
     */
    String CACHE_OE_SESSION = "$OE:SESSION:";

    /**
     * 缓存 - 考试次数控制：{examStudentId}
     */
    String CACHE_OE_BOSS = "$OE:BOSS:";

    /**
     * 缓存 - 网考考试记录：{examRecordDataId}
     */
    String CACHE_OE_RECORD = "$OE:RECORD:";

    /**
     * 缓存 - 考试心跳：{examRecordDataId}
     */
    String CACHE_OE_HEARTBEAT = "$OE:HEARTBEAT:";

    /**
     * 缓存 - 考试活动时间：{examRecordDataId}
     */
    String CACHE_OE_ACTIVE = "$OE:ACTIVE:";

    /**
     * 缓存 - 网考试卷结构：{examRecordDataId}
     */
    String CACHE_OE_PAPER = "$OE:PAPER:";

    /**
     * 缓存 - 网考作答：{examRecordDataId}_{order}
     */
    String CACHE_OE_ANSWER = "$OE:ANSWER:";

    /**
     * 缓存 - 网考文件作答：{examRecordDataId}_{order}
     */
    String CACHE_OE_FILE_ANSWER = "$OE:FILE_ANSWER:";

    /**
     * 缓存 - 考试成绩统计状态：{examId}_{courseId}
     */
    String CACHE_OE_SCORE_STATISTIC_STATUS = "$OE:SCORE_STATISTIC_STATUS:";

}
